SETGROUPS(2)

NAME
setgroups - set group access list

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>
int
setgroups(int ngroups, const gid_t *gidset);

DESCRIPTION
setgroups() sets the group access list of the current user process according to the array gidset. The parameter ngroups indicates the number of entries in the array and must be no more than NGROUPS_MAX.

Only the superuser may set new groups.

RETURN VALUES

ERRORS
The setgroups() call will fail if:

[EINVAL]
    The value of ngroups is greater than NGROUPS_MAX.

[EPERM]
    The caller is not the superuser.

[EFAULT]
    The address specified for gidset is outside the process address space.

SEE ALSO
getgroups(2), setgid(2), setregid(2), initgroups(3)

HISTORY
The setgroups() system call first appeared in 4.1cBSD.